Welcome to game world
you can search the game you want
.hack//G.U. Last Recode System Requirements

.hack//G.U. Last Recode System Requirements


Can I Run .hack//G.U. Last Recode


Release Date: 03/11/2017

Minimum Requirements
Intel CPU Intel Core i3-2100 @ 3.10GHz
Amd CPU AMD Phenom II X4 940
NVidia GPU GeForce GTX 460
Radeon GPU Radeon HD 6870
Ram 4
HDD 40
Directx DirectX
DedicatedVideoRam 3
PixelShader 5.0
VertexShader 5.0
OS Windows 7/8/10 (64-bit OS required)
Maximum Requirements
Intel CPU Intel Core i3-2125 @ 3.30GHz
Amd CPU AMD A10-7850K APU
NVidia GPU GeForce GTX 460
Radeon GPU NULL
Ram 4
HDD 40
Directx DirectX
DedicatedVideoRam 3 GB
PixelShader 5.0
VertexShader 5.0
OS Windows 7/8/10 (64-bit OS required)

discharge, freezing, crushing, etc. smoothly without .hack // G.U. The minimum and recommended system requirements for your computer to be able to run and play Last Recode are as follows;

Minimum System Requirements:

Processor: AMD Phenom II X4 940, 3.0 GHz / Intel Core i3-2100, 3.10 GHz
RAM: 4 GB RAM
Graphics: Radeon HD 6870, 1 GB / GeForce GTX 460, 768 MB
DirectX: Version 11
Operating System: Windows 7/8/10 (64-bit OS)
Hard Disk: 40 GB free space
Sound Card: DirectX compatible soundcard or onboard chipset

Recommended System Requirements:

Processor: AMD A10-7850K, 3.7 GHz / Intel Core i3-2125, 3.30 GHz
RAM: 4 GB RAM
Graphics Card: GeForce GTX 660 TI 3GB or higher
DirectX: Version 11
Operating System: Windows 7/8/10 (64-bit OS)
Hard Disk: 40 GB free space
Sound Card: DirectX compatible soundcard or onboard chipset


Other Games